Bug 1791276 - hammer task progress command complete with "Error: undefined method `empty?' for nil:NilClass" exception.
Summary: hammer task progress command complete with "Error: undefined method `empty?' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: dvagala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-15 12:20 UTC by Devendra Singh
Modified: 2020-04-14 13:28 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman_tasks-0.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28800 Normal Closed hammer task progress command complete with "Error: undefined method `empty?' for nil:NilClass" exception 2020-06-12 06:03:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:44 UTC

Description Devendra Singh 2020-01-15 12:20:45 UTC
Description of problem: hammer task progress command complete with "Error: undefined method `empty?' for nil:NilClass" exception.


Version-Release number of selected component (if applicable): 6.6


How reproducible:
always

Steps to Reproduce:

1. Create a content view with the RHEL7 repository.
2. Publish the content view
3- Content-view job cancel due to https://bugzilla.redhat.com/show_bug.cgi?id=1773601.
4- Restarted the job again and check the progress status of the restarted job, the progress job completed successfully with nil:NilClass exception

# hammer task progress --id 288cebe4-8991-4d9b-bc26-83b017e77672
[..........................................................................................................................................................................................................] [100%]
Error: undefined method `empty?' for nil:NilClass

Actual results:
hammer task progress command complete with nil:Nilclass exception.

Expected results:
hammer task progress command should be completed successfully

Additional info:

Comment 4 Justin Sherrill 2020-01-16 02:06:46 UTC
is there a traceback in production.log after hitting this error?

Comment 9 dvagala 2020-03-04 08:52:33 UTC
Verified on Satellite 6.7 snap 14

Steps aren't completely reproducible, because dependent bug 1773601 is already fixed

Tried to create task with error result and hammer task progress command worked as expected

I can confirm that commit is present in snap 14

Comment 12 errata-xmlrpc 2020-04-14 13:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.